package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 虚拟机标签关系表
 *
 * @author wangyu
 * @version 3.0.0-SNAPSHOT
 * @since 2018/7/13
 */
@Table("server_label")
public class ServerLabel extends Generic {

	@PK(PKStrategy.AUTO)
	private Long id;// ID
	@Column("target")
	private Long target;// 目标
	@Column("label_id")
	private Long labelId;// 标签ID
	@Column("type")
	private String type;// 目标类型(PM/VM)
	@Column("vendor_id")
	private Long vendorId;// 云平台ID

	@Column("content")
	private String content;

	/**
	 *
	 */
	public ServerLabel() {
	}

	/**
	 * @param target
	 * @param labelId
	 * @param type
	 * @param vendorId
	 */
	public ServerLabel(Long target, Long labelId, String type, Long vendorId) {
		this.target = target;
		this.labelId = labelId;
		this.type = type;
		this.vendorId = vendorId;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getTarget() {
		return target;
	}

	public void setTarget(Long target) {
		this.target = target;
	}

	public Long getLabelId() {
		return labelId;
	}

	public void setLabelId(Long labelId) {
		this.labelId = labelId;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Long getVendorId() {
		return vendorId;
	}

	public void setVendorId(Long vendorId) {
		this.vendorId = vendorId;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

}
